Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 447532 - sci-chemistry/avogadro segmentation fault with icc-built openbabel
Summary: sci-chemistry/avogadro segmentation fault with icc-built openbabel
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Chemistry-Related Packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: intel-compilers
  Show dependency tree
 
Reported: 2012-12-16 23:05 UTC by urcindalo
Modified: 2018-05-07 22:26 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description urcindalo 2012-12-16 23:05:48 UTC
I'm in the process of recompiling my scientific software with icc. So far so good, except avogadro.

After recompiling many packages, including *every* dependency for avogadro v1.0.3-r1 or v1.1.0 (according to the ebuilds), avogadro recompiles well but I can no longer launch it, even if it is compiled back with gcc instead of icc.

Here is the error I'm seeing:
===
$ avogadro
"Avogadro version:      1.1.0   Git:
LibAvogadro version:    1.1.0   Git:    " 
Locale:  "C" 
Libavogadro translations not found. 
System has OpenGL support. 
About to test OpenGL capabilities. 
OpenGL capabilities found: 
        Double Buffering.
        Direct Rendering.
        Antialiasing.
Loading plugins: "/usr/bin/../lib64/avogadro/1_1" 
Searching for plugins in "/usr/lib64/avogadro/1_1" 
Searching for plugins in "/usr/lib64/avogadro/1_1/colors" 
Searching for plugins in "/usr/lib64/avogadro/1_1/engines" 
Searching for plugins in "/usr/lib64/avogadro/1_1/extensions" 
Searching for plugins in "/usr/lib64/avogadro/1_1/tools" 
Loading plugins: "/home/user/.avogadro/1_1/plugins" 
Segmentation fault
===

I know this info is not very helpful, so I will be happy to provide you with as much info as you may need. I just don't know where to begin.

Thanks in advance.
Comment 1 urcindalo 2012-12-17 09:42:26 UTC
After some trials I found the culprit: openbabel-2.3.2

When the latter is compiled with icc, avogadro fails with a segmentation fault at launch time. But, if I recompile openbabel with gcc, even though the rest of the dependencies and avogadro itself are compiled with icc, avogadro launches well.

I also tried to recompile openbabel dependencies with icc, one at a step, but inchi fails this way:
===
>>> Emerging (1 of 1) sci-libs/inchi-1.04
 * inchi-1.04.zip SHA256 SHA512 WHIRLPOOL size ;-) ...                                                                   [ ok ]
>>> cfg-update-1.8.2-r1: Creating checksum index...
>>> Unpacking source...
>>> Unpacking inchi-1.04.zip to /var/tmp/portage/sci-libs/inchi-1.04/work
>>> Source unpacked in /var/tmp/portage/sci-libs/inchi-1.04/work
>>> Preparing source in /var/tmp/portage/sci-libs/inchi-1.04/work/INCHI-1-API ...
 * Applying inchi-1.03-shared.patch ...                                                                                  [ ok ]
 * Applying inchi-1.04-static.patch ...                                                                                  [ ok ]
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/sci-libs/inchi-1.04/work/INCHI-1-API ...
>>> Source configured.
>>> Compiling source in /var/tmp/portage/sci-libs/inchi-1.04/work/INCHI-1-API ...
make -j5 C_COMPILER=icc CPP_COMPILER=icpc 'LINKER=icpc -Wl,-O1 -Wl,--as-needed' 'SHARED_LINK=icc -Wl,-O1 -Wl,--as-needed -shared' 'C_COMPILER_OPTIONS=${P_INCL} -ansi -DCOMPILE_ANSI_ONLY -O2 -gcc -ip -c ' 'CPP_COMPILER_OPTIONS=${P_INCL} -D_LIB -ansi -O2 -gcc -ip -frtti -c ' 'C_OPTIONS=-O2 -gcc -ip -fPIC -c ' 'LINKER_OPTIONS=-Wl,-O1 -Wl,--as-needed' CREATE_MAIN= ISLINUX=1 
icc -I../../main -I../../common -ansi -DCOMPILE_ANSI_ONLY -O2 -gcc -ip -c  ../../common/ichican2.c
icc -I../../main -I../../common -ansi -DCOMPILE_ANSI_ONLY -O2 -gcc -ip -c  ../../common/ichiprt1.c
icc -I../../main -I../../common -ansi -DCOMPILE_ANSI_ONLY -O2 -gcc -ip -c  ../../common/ichicano.c
icc -I../../main -I../../common -ansi -DCOMPILE_ANSI_ONLY -O2 -gcc -ip -c  ../../common/ichiprt2.c
icc -I../../main -I../../common -ansi -DCOMPILE_ANSI_ONLY -O2 -gcc -ip -c  ../../common/ichicans.c
icc -I../../main -I../../common -ansi -DCOMPILE_ANSI_ONLY -O2 -gcc -ip -c  ../../common/ichiprt3.c
icc -I../../main -I../../common -ansi -DCOMPILE_ANSI_ONLY -O2 -gcc -ip -c  ../../common/ichiisot.c
icc -I../../main -I../../common -ansi -DCOMPILE_ANSI_ONLY -O2 -gcc -ip -c  ../../common/ichiqueu.c
icc -I../../main -I../../common -ansi -DCOMPILE_ANSI_ONLY -O2 -gcc -ip -c  ../../common/ichiring.c
icc -I../../main -I../../common -ansi -DCOMPILE_ANSI_ONLY -O2 -gcc -ip -c  ../../common/ichimak2.c
icc -I../../main -I../../common -ansi -DCOMPILE_ANSI_ONLY -O2 -gcc -ip -c  ../../common/ichisort.c                              
icc -I../../main -I../../common -ansi -DCOMPILE_ANSI_ONLY -O2 -gcc -ip -c  ../../common/ichimake.c                              
icc -I../../main -I../../common -ansi -DCOMPILE_ANSI_ONLY -O2 -gcc -ip -c  ../../common/ichister.c                              
icc -I../../main -I../../common -ansi -DCOMPILE_ANSI_ONLY -O2 -gcc -ip -c  ../../common/ichimap1.c                              
icc -I../../main -I../../common -ansi -DCOMPILE_ANSI_ONLY -O2 -gcc -ip -c  ../../common/ichitaut.c                              
icc -I../../main -I../../common -ansi -DCOMPILE_ANSI_ONLY -O2 -gcc -ip -c  ../../common/ichimap2.c
icc -I../../main -I../../common -ansi -DCOMPILE_ANSI_ONLY -O2 -gcc -ip -c  ../../common/ichi_bns.c
icc -I../../main -I../../common -ansi -DCOMPILE_ANSI_ONLY -O2 -gcc -ip -c  ../../common/runichi.c
icc -I../../main -I../../common -ansi -DCOMPILE_ANSI_ONLY -O2 -gcc -ip -c  ../../common/ichi_io.c
icc -I../../main -I../../common -ansi -DCOMPILE_ANSI_ONLY -O2 -gcc -ip -c  ../../common/ichimap4.c
icc -I../../main -I../../common -ansi -DCOMPILE_ANSI_ONLY -O2 -gcc -ip -c  ../../common/strutil.c
icc -I../../main -I../../common -ansi -DCOMPILE_ANSI_ONLY -O2 -gcc -ip -c  ../../common/ichinorm.c
icc -I../../main -I../../common -ansi -DCOMPILE_ANSI_ONLY -O2 -gcc -ip -c  ../../common/util.c
icc -I../../main -I../../common -ansi -DCOMPILE_ANSI_ONLY -O2 -gcc -ip -c  ../../common/ichiparm.c
icc -I../../main -I../../common -ansi -DCOMPILE_ANSI_ONLY -O2 -gcc -ip -c  ../../common/ichiread.c
icc -I../../main -I../../common -ansi -DCOMPILE_ANSI_ONLY -O2 -gcc -ip -c  ../../common/ichirvr1.c
icc -I../../main -I../../common -ansi -DCOMPILE_ANSI_ONLY -O2 -gcc -ip -c  ../../common/ichirvr2.c
../../common/ichiread.c(4535) (col. 19): internal error: 0_1451

compilation aborted for ../../common/ichiread.c (code 4)
make: *** [ichiread.o] Error 4
===

I don't know if this info is relevant and I imagine it deserves a bug by itself, but I just say it here for completeness purposes.
Comment 2 Justin Lecher gentoo-dev 2012-12-18 16:45:45 UTC
Thanks for the report.

Although we are trying to officially provide compilers other then gcc, the priority of fixing incompatibilities is quite low.

Could you please attach a icc build build.log of openbabel?
Comment 3 Larry the Git Cow gentoo-dev 2018-05-07 22:26:33 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eb9a93f86bfb9c892d99268f6812e7b13660f851

commit eb9a93f86bfb9c892d99268f6812e7b13660f851
Author:     Mikle Kolyada <zlogene@gentoo.org>
AuthorDate: 2018-05-07 22:24:59 +0000
Commit:     Mikle Kolyada <zlogene@gentoo.org>
CommitDate: 2018-05-07 22:24:59 +0000

    sci-chemistry/avogadro: remove last rited package
    
    Closes: https://bugs.gentoo.org/645030
    Closes: https://bugs.gentoo.org/447532
    Closes: https://bugs.gentoo.org/649500

 sci-chemistry/avogadro/Manifest                    |  1 -
 .../avogadro/avogadro-1.2.0_p20170207.ebuild       | 90 ----------------------
 .../files/avogadro-1.1.1-boost-join-moc.patch      | 78 -------------------
 .../files/avogadro-1.1.1-mkspecs-dir.patch         | 12 ---
 .../avogadro/files/avogadro-1.1.1-no-strip.patch   | 12 ---
 .../avogadro/files/avogadro-1.1.1-openbabel.patch  | 16 ----
 .../files/avogadro-1.1.1-pkgconfig_eigen.patch     |  8 --
 .../avogadro/files/avogadro-1.2.0-numpy.patch      | 13 ----
 sci-chemistry/avogadro/metadata.xml                | 20 -----
 9 files changed, 250 deletions(-)